# Kiteworks API — clientEventLogs Operations

**1 endpoint** | [Browse interactive reference](https://developer.kiteworks.com/api-reference/clientEventLogs.html) | [Download spec slice](https://developer.kiteworks.com/assets/specs/clientEventLogs.json)

> **Authentication required.** All requests must include a Bearer access token in the
> `Authorization` header. See [Authentication](https://developer.kiteworks.com/authentication.md) for how to
> obtain a token using OAuth 2.0 Authorization Code (PKCE) or JWT Bearer flow.

---

## POST /rest/clients/action/eventLog

**Summary:** Submit client event logs

### Description:
  Submits one or more event log entries from the client for recording on the server.
### Precondition:
  User must be authenticated.
### Response:
  Returns the created event log entries.
**Request Body:**

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `events` | ClientEventLogsPostRequest[] | no | List of client event log entries to submit. |

**Responses:**

| Code | Description |
|------|-------------|
| 201 | The event logs have been successfully submitted. |
| 401 | Unauthorized  <i>Possible error codes: </i>ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED |
| 403 | Forbidden  <i>Possible error codes: </i>ERR_ACCESS_USER |
| 422 | Unprocessable Content  <i>Possible error codes: </i>ERR_INVALID_PARAMETER |
| 490 | Request blocked by WAF |

**Response Examples:**

**401 (ERR_AUTH_INVALID_CSRF):**

```json
{
  "errors": [
    {
      "code": "ERR_AUTH_INVALID_CSRF",
      "message": "Invalid CSRF Authentication"
    }
  ]
}
```

**401 (ERR_AUTH_UNAUTHORIZED):**

```json
{
  "errors": [
    {
      "code": "ERR_AUTH_UNAUTHORIZED",
      "message": "Unauthorized"
    }
  ]
}
```

**403 (ERR_ACCESS_USER):**

```json
{
  "errors": [
    {
      "code": "ERR_ACCESS_USER",
      "message": "Insufficient access permissions"
    }
  ]
}
```

**422 (ERR_INVALID_PARAMETER):**

```json
{
  "errors": [
    {
      "code": "ERR_INVALID_PARAMETER",
      "message": "Invalid Parameter Exception"
    }
  ]
}
```

**Code Samples:**

**cURL:**

```shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/clients/action/eventLog" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "events": [
         {
         "created": 1,
         "eventName": "string",
         "successful": true,
         "eventId": "string",
         "data": {},
         "singleLine": "string"
       }
       ]
       }'
```

**Python:**

```python
import requests

url = "https://{instance}.kiteworks.com/rest/clients/action/eventLog"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "events": [
  {
  "created": 1,
  "eventName": "string",
  "successful": true,
  "eventId": "string",
  "data": {},
  "singleLine": "string"
}
]
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
```

---
